/*****************************************************************************
 *
 *	Map file for Dungeons of Thuria.
 *
 *	File:	map.c
 *
 *	Author: Brian Lingard
 *
 *	Date:	12/04/96
 *
 *	Revs:
 *	  0.1	02/13/98  converted to "c" file
 *	  0.0 	12/04/96  originated
 *
 *****************************************************************************/


#ifndef MAIN_H
#include "main.h"
#endif

/* 
# map file for Dungeons of Thuria
#
# Format:
#
#   RM #, Room Name, here, inside,  N,  S,  E,  W,  D,  U, special, object
*/

MAP_S_T map[] = {
 0, "Main Chamber",	0,      1,  7, 13, -1, -1, -1, -1,      11, -1,
 1, "Ante Chamber",	0,      1, -1, -1,  2, -1, -1, -1,      -1,  1,
 2, "Throne Room",	0,      1, -1, -1,  3,  1, -1, -1,       5, -1,
 3, "Long Corridor",	0,      1, -1,  7,  4,  2, -1, -1,      -1, -1,
 4, "Dining Hall",	0,      1, -1, -1,  5,  3, -1, -1,      -1, -1,
 5, "Kitchen",		0,      1, -1, -1, -1,  4, -1, -1,      -1,  3,
 6, "Small Room",	0,      1, -1, -1,  7, -1, -1, -1,      -1,  4,
 7, "Large Hall",	0,      1,  3,  0,  8,  6, -1, -1,      -1, -1,
 8, "Misty Room",	0,      1, -1, -1, -1,  7, 22, -1,      -1, -1,
 9, "Beaver Dam",	0,      0, 11, 10, -1, -1, -1, -1,      -1,  5,
10, "Swift River",	0,      0,  9, -1, 12, -1, -1, -1,      13,  6,
11, "Beaver Pond",	0,      0, -1,  9, -1, -1, -1, -1,       8, -1,
12, "Misty Valley",	0,      0, -1, -1, 13, 10, -1, -1,      -1, -1,
13, "Outside Castle",	1,      0,  0, -1, 14, 12, -1, -1,       2, -1,
14, "Babbling Brook",	0,      0, -1, -1, 42, 13, -1, -1,      -1, 10,

15, "Dark Room",	0,      1, -1, -1, 16, -1, -1, -1,      -1, -1,
16, "Dark Dank Room",	0,      1, -1, 18, -1, 15, 23, -1,      -1, -1,
17, "Alcove",		0,      1, -1, -1, -1, -1, 21, -1,      -1, 11,
18, "Narrow Passage",	0,      1, 16, 22, -1, -1, -1, -1,      -1, 12,
19, "Pillow Room",	0,      1, -1, 23, -1, -1, -1, 17,      -1, 13,
20, "Vase Room",	0,      1, -1, 24, 21, -1, -1, -1,      -1, 14,
21, "Round Room",	0,      1, 35, -1, -1, 20, -1, -1,      -1, -1,
22, "Statue Room",	0,      1, 18, 25, -1, -1, -1,  8,      15, -1,
23, "West End Hall",	0,      1, 19, 26, 24, -1, -1, 16,      -1, -1,
24, "East End Hall",	0,      1, 20, -1, -1, 23, -1, -1,      -1, -1,
25, "Black Room",	0,      1, 22, -1, -1, -1, -1, -1,      -1, 16,
26, "Dimly Lit Room",	0,      1, 23, -1, 27, -1, -1, -1,      -1, -1,
27, "Green Room",	0,      1, -1, -1, -1, 26, -1, -1,      -1, 17,

28, "Crevice",		0,      1, -1, 32, -1, -1, 33, -1,      19, 18,
29, "Rug Room",		0,      1, -1, 33, -1, -1, -1, -1,      22, 20,
30, "Narrow Ledge",	0,      1, -1, -1, 31, -1, -1, -1,      25, 22,
31, "Answer Room",	0,      1, -1, -1, -1, 34, -1, -1,      -1, 24,
32, "Egg Room",		0,      1, 28, -1, -1, -1, 35, -1,      -1, 25,
33, "Library",		0,      1, 29, -1, 34, -1, -1, -1,      -1, 26,
34, "Large Cave",	0,      1, 30, 36, -1, 33, -1, -1,      27, -1,
35, "Strange Room",	0,      1, -1, 21, 36, -1, -1, 32,      17, -1,
36, "Small Cave",	0,      1, 34, -1, 37, 35, -1, -1,      -1, -1,
37, "North Side Lake",	0,      1, -1, 38, -1, 36, -1, -1,      31, -1,
38, "South Side Lake",	0,      1, 37, -1, 39, -1, -1, -1,      31, 31,

39, "Question Room",	0,      1, 40, -1, -1, 38, -1, -1,      33, -1,
40, "Pyramid Room",	0,      1, -1, 38, -1, -1, -1, -1,      -1, 30,
41, "Return Home",	0,      1, -1, -1, -1, -1, -1, -1,      -1, -1,

42, "Swamp",	        0,      0, -1, 46, 43, -1, -1, -1,      -1, -1,
43, "Swamp",	        0,      0, 44, -1, 44, 42, -1, -1,      -1, -1,
44, "Swamp",	        0,      0, -1, 45, 43, 43, -1, -1,      -1, -1,
45, "Swamp",	        0,      0, 44, 50, -1, 50, -1, -1,      -1, -1,
46, "Swamp",	        0,      0, 49, 48, 47, 42, -1, -1,      -1, -1,
47, "Swamp",	        0,      0, -1, -1, 46, -1, -1, -1,      -1, -1,
48, "Swamp",	        0,      0, 46, -1, 49, 14, -1, -1,      -1, 36,
49, "Swamp",	        0,      0, 46, -1, 50, 48, -1, -1,      -1, -1,
50, "Swamp",	        0,      0, 45, -1, 45, 49, -1, -1,      -1, -1,

-1
};

/* end of map.c */
